summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorTim Mayberry <mojofunk@gmail.com>2013-08-11 16:48:31 +1000
committerTim Mayberry <mojofunk@gmail.com>2013-12-07 20:48:19 +1000
commit74ab358b21db88d8360ec432ac4a0b479a875c71 (patch)
tree8c39f4818019d4b46908d926626e3fd7b00bccb7 /tools
parentb679b078e90fde4db44d9a176dcc40329bf55c90 (diff)
Move environment setup to run tests in wine to new file
Diffstat (limited to 'tools')
-rwxr-xr-xtools/windows_packaging/run-wine.sh21
-rwxr-xr-xtools/windows_packaging/wine-env.sh23
2 files changed, 24 insertions, 20 deletions
diff --git a/tools/windows_packaging/run-wine.sh b/tools/windows_packaging/run-wine.sh
index 86415206cc..d1d509782f 100755
--- a/tools/windows_packaging/run-wine.sh
+++ b/tools/windows_packaging/run-wine.sh
@@ -2,26 +2,7 @@
. ./mingw-env.sh
-cd $BASE
-
-LIBS=$BUILD_DIR/libs
-
-export ARDOUR_PATH=$BASE/gtk2_ardour/icons:$BASE/gtk2_ardour/pixmaps:$BASE/build/default/gtk2_ardour:$BASE/gtk2_ardour:.
-export ARDOUR_SURFACES_PATH=$LIBS/surfaces/osc:$LIBS/surfaces/generic_midi:$LIBS/surfaces/tranzport:$LIBS/surfaces/powermate:$LIBS/surfaces/mackie
-export ARDOUR_PANNER_PATH=$LIBS/panners/2in2out:$LIBS/panners/1in2out:$LIBS/panners/vbap
-export ARDOUR_DATA_PATH=$BASE/gtk2_ardour:build/default/gtk2_ardour:.
-
-export VAMP_PATH=$LIBS/vamp-plugins${VAMP_PATH:+:$VAMP_PATH}
-
-export PBD_TEST_PATH=$BASE/libs/pbd/test/
-
-if test ! -d $PACKAGE_DIR; then
- echo "Win32 package directory does not exist"
- exit 1
-fi
-
-cd $PACKAGE_DIR
-
+. ./wine-env.sh
if [ "$1" == "--run-tests" ]; then
if test x$WITH_TESTS != x ; then
diff --git a/tools/windows_packaging/wine-env.sh b/tools/windows_packaging/wine-env.sh
new file mode 100755
index 0000000000..95d0bf79a0
--- /dev/null
+++ b/tools/windows_packaging/wine-env.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+. ./mingw-env.sh
+
+cd $BASE
+
+if test ! -d $PACKAGE_DIR; then
+ echo "Win32 package directory does not exist"
+ exit 1
+fi
+
+LIBS=$BUILD_DIR/libs
+
+export ARDOUR_PATH=$BASE/gtk2_ardour/icons:$BASE/gtk2_ardour/pixmaps:$BASE/build/default/gtk2_ardour:$BASE/gtk2_ardour:.
+export ARDOUR_SURFACES_PATH=$LIBS/surfaces/osc:$LIBS/surfaces/generic_midi:$LIBS/surfaces/tranzport:$LIBS/surfaces/powermate:$LIBS/surfaces/mackie
+export ARDOUR_PANNER_PATH=$LIBS/panners/2in2out:$LIBS/panners/1in2out:$LIBS/panners/vbap
+export ARDOUR_DATA_PATH=$BASE/gtk2_ardour:build/default/gtk2_ardour:.
+
+export VAMP_PATH=$LIBS/vamp-plugins${VAMP_PATH:+:$VAMP_PATH}
+
+export PBD_TEST_PATH=$BASE/libs/pbd/test/
+
+cd $PACKAGE_DIR